import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
export var Divider = function (_a) {
    var muted = _a.muted, other = __rest(_a, ["muted"]);
    var theme = useTheme();
    return (_jsx("div", __assign({ className: "Divider", css: {
            borderTopColor: muted
                ? theme.colors.border.muted
                : theme.colors.border.default,
            display: "block",
            borderTopWidth: "1px",
            borderTopStyle: "solid",
            margin: theme.spaces.md + " 0"
        } }, other), void 0));
};
Divider.propTypes = {
    muted: PropTypes.bool
};
//# sourceMappingURL=Divider.js.map