import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
/**
 * A styled anchor element
 */
export var Link = function (_a) {
    var children = _a.children, _b = _a.component, Component = _b === void 0 ? "a" : _b, other = __rest(_a, ["children", "component"]);
    var theme = useTheme();
    return (_jsx(Component, __assign({ className: "Link", css: {
            textDecoration: "none",
            "@media (hover:hover)": {
                ":hover": {
                    textDecoration: "underline"
                }
            },
            color: theme.colors.mode === "dark"
                ? theme.colors.palette.blue.light
                : theme.colors.palette.blue.base
        } }, other, { children: children }), void 0));
};
Link.propTypes = {
    component: PropTypes.any,
    children: PropTypes.node
};
//# sourceMappingURL=Link.js.map